Page MenuHomePhabricator

Support facilitated offline editing in Global South communities
Closed, DuplicatePublic

Description

Offline reading of Wikimedia projects is a significant and relatively well-supported use case. However, full access requires not just the ability to read but the ability to edit. This distinction is not particularly significant when we consider, for example, a Canadian user who reads Wikipedia offline during a backpacking vacation in South America and retrieves her ability to edit the articles she reads as soon as she flies back home. But it does become significant when we consider, for example, a Congolese refugee who has lived in a Burundian refugee camp since 2012.

This has two major aspects (which might be filed as blocking tasks).

  1. Technical: Offline editing means that a user makes changes to a local copy of a wiki and, at some later date, their client synchronizes the changes to Wikimedia's servers. This is a significant challenge, but would share much of the technical work necessary for T3898.
  2. Community: Provide adequate documentation targeted specifically to Global South users and facilitators. Define particular tasks (like translation of global language content into local languages) which these users are well suited to undertake. Find projects which are interested in receiving such contributions and editors who are interested in helping with the process.

Details of the use case

Offline: The changes would be synchronized a low-bandwidth, unreliable internet connection (perhaps once a day) or by a sneakernet made up of development staff (perhaps once a month).
Facilitated: This task focuses on the case of a physical community of local users (likely with low digital literacy) supported by a facilitator or teacher who is more digitally literate but probably does not have specific Wikimedia experience.

Other projects to consider

  • MikMik, an abandoned OLPC project for distributed wikis

History

This task originated from a request posed by the French development group Bibliothèques Sans Frontières at the Wikimedia Hackathon 2015. BSF has developed the Ideas Box, a portable media center designed as a kit that fits on two pallets and can be installed in less than 20 minutes. The box creates a cultural space covering 330 sq ft and includes a Koombook server running open-source Python software which serves as an autonomous and ultra-portable digital library. The device creates a Wi-Fi hotspot which gives connected devices access to locally stored content from Wikipedia, Khan Academy, TEDtalks, a curated selection from the Gutenberg Library, and thousands of other documents and videos. The KoomBook creates a WiFi hotspot that users can connect to with a laptop, tablet or smartphone. Up to 20 simultaneous users can download or upload content that will automatically update when the KoomBook has access to the internet.

BSF's challenge to Wikipedia users:

Wikipedia offline is one of the most popular resources in the Ideas Box and Koombook. But it risks becoming yet another source of content created in the Global North and dumped in the Global South. We are working with Wikimedia on training our users on contributing to Wikipedia. But that currently cannot be done in many of our projects as internet is highly unreliable and/or extremely expensive. And these are some of the richest context in terms of uniqueness of contribution (language, topics etc.). Can we come up together with a solution for asynchronous contribution for low connectivity contexts?

Event Timeline

JeanPhilippe_WMFr raised the priority of this task from to Needs Triage.
JeanPhilippe_WMFr updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2015, 11:22 AM

Quick note: @Tnegrin should chat with this project :)

Neil_P._Quinn_WMF renamed this task from Libraries Without Borders to Support facilitated offline editing in Global South communities.May 25 2015, 1:32 PM
Neil_P._Quinn_WMF updated the task description. (Show Details)
Neil_P._Quinn_WMF set Security to None.
Qgil closed this task as Resolved.Jun 1 2015, 5:48 AM
Qgil claimed this task.

@Qgil, I don't think you meant to close this as resolved, so I'm reopening. Feel free to correct if I'm missing something.

Neil_P._Quinn_WMF reopened this task as Open.Jun 1 2015, 6:33 PM
Qgil added a comment.Jun 1 2015, 6:50 PM

Sorry, I thought it was a task corresponding to a hackathon session that had concluded. I'm going through dozens of tasks so I miss the details sometimes. Thank for fixing this.

Qgil removed Qgil as the assignee of this task.Jun 1 2015, 7:37 PM
Qgil added a subscriber: Qgil.
Qgil added a comment.Jun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward. * If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start. * If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project. * If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer). * Keeping the description, priority and assigned fields up to date always helps. :) For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

Neil_P._Quinn_WMF added a comment.EditedSep 9 2015, 12:53 AM

Brainstorming notes from the hackathon:

Tech feasibility

  • Conflicts are a big question
  • Explore "easy" cases with few conflicts—new articles.
  • Think about Usenet for ideas.
  • Connectivity "clusters"? Decentralization? Divergence?
  • Offline user identity is a challenge (refugees have unique UNHCR number
  • Short term: periodic (e.g. monthly) data batching via sneakernet.
    • Offline edits added manually
    • Standalone app + merger
  • Long-term: better core support

Community

  • Challenges of finding sources
  • Need to reproduce the addictive feedback loop
    • Does your edit go "live" on your local copy immediately+
  • Attribution? IP attribution? Message on talk page?
  • (Translation into) local languages
    • Easier than editing in world languages (e.g. not so concerned about sources)
    • Content Translation?
  • No mp4 on projects
  • Help resources for potential editors?
    • Wikimedia France is making a MOOC
  • Wikimedia training for facilitators of offline editing
  • Editor communities interested in Global South outreach?
Ricordisamoa added a subscriber: Ricordisamoa.
Qgil added a comment.Sep 23 2015, 8:19 AM

Offline editing was also discussed at Wikimania, see T106898: Offline editing to support people with intermittent or no internet access (e.g. Kiwix, mobile). And a volunteer developer is interested in working on this feature (but would need mentors) -- see T113396: Extension to make MediaWiki available offline. Maybe we should merge these tasks? Please reply at T106898#1665449.

awight added a subscriber: awight.Sep 23 2015, 3:02 PM

I have an RFC with a few ideas about the decentralization and resynchronization problems,
https://www.mediawiki.org/wiki/Requests_for_comment/Branching

This is an exciting initiative, in the past one of the major blockers to working on offline editing has been the lack of demonstrated use cases. It would add a lot of momentum to this project if we could find some example communities looking for such a feature.

I can add some example use cases for NASA and enterprise wikis. Should I add them here or to T106898 ?

cscott added a subscriber: cscott.Sep 23 2015, 5:56 PM

I think T106898: Offline editing to support people with intermittent or no internet access (e.g. Kiwix, mobile) is a better place to continue discussion. Content from this bug should probably be moved into comments on T106898 and then this bug should be closed.

As I wrote it, this task has two dimensions: one community and one technical. I agree, the technical bit should be merged into T106898; the community bit is probably out of scope here anyway.

I'll go ahead and merge.